HOSTNAME(1a)

NAZWA
hostname - pokazuje lub ustawia nazwę hosta systemu
domainname - pokazuje/ustawia nazwę domeny NIS/YP systemu
dnsdomainname - pokazuje nazwę domeny systemu
nisdomainname - pokazuje/ustawia nazwę domeny NIS/YP
ypdomainname - pokazuje/ustawia nazwę domeny NIS/YP
nodename - pokazuje/ustawia nazwę węzła DECnet systemu

SKŁADNIA

hostname
    [-v] [-a] [--alias] [-d] [--domain] [-f] [--fqdn] [-i] [--ip-address] [--long] [-s] [--short] [-y] [--yp] [--nis] [-n] [--node]

hostname
    [-v] [-F plik] [--file plik] [nazwahosta]

domainname
    [-v] [-F plik] [--file plik] [nazwa]

nodename
    [-v] [-F plik] [--file plik] [nazwa]

hostname
    [-v] [-h] [--help] [-V] [--version]
dnsdomainname
    [-v]
nisdomainname
    [-v]
ypdomainname
    [-v]

OPIS
Hostname jest programem służącym do nadawania bądź wyświetlania nazw hosta, domeny lub węzła systemu. Nazwy te są używane przez wiele programów sieciowych do identyfikacji maszyny. nazwa domeny wykorzystywana jest też przez NIS/YP.

  POBRANIE NAZWY
Wywołany bez argumentów program wyświetla aktualne nazwy:
hostname wydrukuje nazwę systemu zwracaną przez funkcję gethostname(2).
domainname, nisdomainname, ypdomainname wydrukuje nazwę systemu zwracaną przez funkcję getdomainname(2). Jest ona również zwana nazwą domeny YP/NIS systemu.
nodename wydrukuje nazwę węzła DECnet systemu zwracaną przez funkcję getnodename(2).
dnsdomainname wydrukuje część pełnej nazwy domenowej (FQDN) określającą domenę. Pełna nazwa domeny systemu zwracana jest przez funkcję hostname --fqdn.

  NADAWANIE NAZWY
Wywołane z jednym argumentem lub z opcją --file, opisywane polecenie ustawia nazwę hosta, nazwę domeny NIS/YP lub nazwę węzła.
Zauważ, że tylko superużytkownik może zmienić te nazwy.
Przy pomocy polecenia dnsdomainname nie jest możliwe nadanie pełnej nazwy domenowy (FQDN) lub nazwy domeny DNS (zobacz FQDN poniżej).
Nazwa hosta jest zwykle nadawana jednorazowo podczas startu systemu - odbywa się to w skrypcie /etc/rc.d/rc.inet1 lub /etc/init.d/boot (zazwyczaj przez odczytanie zawartości pliku zawierającego nazwę hosta, np. /etc/hostname).

  FQDN - pełna złożona nazwa domeny
Opisywanym poleceniem nie możesz zmieniać pełnej nazwy domeny (zwracanej przez hostname --fqdn) ani nazwy domeny DNS (zwracanej przez dnsdomainname). Pełna nazwa domeny systemu jest nazwą, jaką resolver(3) zwraca jako nazwę hosta.
Technicznie: pełna nazwa domeny jest nazwą jaką zwraca gethostbyname(2) dla nazwy zwracanej przez gethostname(2). Nazwa domeny DNS jest występującą po pierwszej kropce częścią pełnej nazwy.
Dlatego też od danej konfiguracji (zwykle określanej w /etc/host.conf) zależy, w jaki sposób możesz ją zmienić. Na ogół (jeśli plik nazw hostów jest analizowany przed DNS lub NIS), możesz zmienić ją w pliku /etc/hosts.

OPCJE
-a, --alias
    Wyświetla alternatywną nazwę hosta (alias), jeśli jest używana.
-d, --domain
    Wyświetla nazwę domeny DNS. Do uzyskania domeny DNS nie używaj polecenia domainname, gdyż pokaże ono nazwę domeny NIS a nie DNS. Zamiast tego posłuż się poleceniem dnsdomainname.
-F, --file plik
    Czyta nazwę hosta z zadanego pliku. Komentarze (wiersze rozpoczynające się znakiem `#') są ignorowane.
-f, --fqdn, --long
    Wyświetla pełną nazwę domeny hosta (FQDN - Fully Qualified Domain Name). Pełna nazwa FQDN składa się z krótkiej nazwy hosta i nazwy domeny DNS. Możesz zmieniać pełną nazwę i nazwę domeny DNS (która jest częścią FQDN) w pliku /etc/hosts, chyba że używasz bind lub NIS do wyszukiwania hostów.
-h, --help
    Drukuje komunikat o użytkowaniu i kończy pracę.
-i, --ip-address
    Wyświetla adres(y) IP hosta.
-n, --node
    Wyświetla nazwę węzła DECnet. Jeśli podano parametr (lub opcję --file nazwa), to root może też nadać nową nazwę węzłu.
-s, --short
    Wyświetla krótką nazwę hosta. Jest to nazwa hosta obcięta przed pierwszą kropką.
-V, --version
    Drukuje informację o wersji na standardowym wyjściu i pomyślnie kończy pracę.
-v, --verbose
    Jest gadatliwy i mówi, co się dzieje.
-y, --yp, --nis
    Wyświetla nazwę domeny NIS. Jeżeli podano parametr (lub opcję --file nazwa) to root może też nadać nową nazwę domenie NIS.

PLIKI
/etc/hosts

AUTOR
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS i strona podręcznika).
Steve Whitehouse, <SteveW@ACM.org> (obsługa DECnet i strona podręcznika).